Bug 761578 - Getting an IN PROGRESS on deploys.
Getting an IN PROGRESS on deploys.
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
3.0.0
x86_64 Linux
low Severity low (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-08 11:21 EST by wertnick
Modified: 2012-06-21 05:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description wertnick 2011-12-08 11:21:29 EST
Description of problem:

I will occasionally get a deploy suck at IN PROGRESS forever.  A re-deploy of the same zip file fixes the problem.  I was looking for correlation in the logs, and I found the following exception:

2011-12-07 16:01:55,829 ERROR [BundleDeployment-1] (rhq.core.pc.bundle.BundleManager)- Failed to complete       bundle deployment
31841 java.lang.Exception: Package version [PackageVersion[package=Package[name=core-update-train-state-service-      0.0.2-SNAPSHOT-dist.tar.gz,packageType=PackageType[id=10381,name=core-update-train-state-service,resourceT      ype=Ant Bundle Handler]],version=0.0.2.v20111207-160108,architecture=Architecture: name=[noarch]]] failed       SHA256 check. expected=[1606cb117da169b52d53c4ba029cc487f080d2ed238946e269748cdb7f1fb609], actual=[c0a3d02      43a4ba77471a60262e8cfde108874498e512be68bf1a404039ca4f262]
         at org.rhq.core.pc.bundle.BundleManager.verifyHash(BundleManager.java:337)
         at org.rhq.core.pc.bundle.BundleManager.downloadBundleFiles(BundleManager.java:294)
         at org.rhq.core.pc.bundle.BundleManager.access$000(BundleManager.java:75)
         at org.rhq.core.pc.bundle.BundleManager$1.run(BundleManager.java:162)
         at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
         at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
         at java.lang.Thread.run(Thread.java:662)

Version-Release number of selected component (if applicable):

How reproducible:
Somewhat difficult. I assume you just see it once in a while (at 3 deploys an hour, we usually get one or two per day).

Steps to Reproduce:
1. Deploy a bundle
2. Deploy the bundle again
3. Deploy it again
  
Actual results:

an IN_PROGRESS status.

Expected results:

A SUCCESS status.

Additional info:

The deploy still deploys the app properly. It just never gives a status back.

Note You need to log in before you can comment on or make changes to this bug.